Cue Docs
Sessions API

Get Session Messages

Guide: Sessions API
GET
/v1/sessions/{session_uuid}/messages

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API token from Settings > API Tokens in your Cue workspace. See Authentication.

Path Parameters

session_uuid*Session Uuid
Formatuuid

Query Parameters

limit?Limit
Default20
offset?Offset
Default0

Header Parameters

Authorization*Authorization

An API token from Settings > API Tokens, as Bearer <token>.

Response Body

Successful Response

application/json
  1. response
data?array<>|null
total?integer|null
Example Request
curl -X GET 'https://api.cuedesk.com/v1/sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages' \
  -H 'Authorization: Bearer <token>'
Example Response
{
  "data": [
    {
      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
      "from": "string",
      "to": "string",
      "status": "string",
      "messageType": "string",
      "content": {},
      "error": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "total": 0
}